> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/api-and-platform/consents/users/create-user.md).

# Create user

{% hint style="warning" %}
While you can specify the consent status for a user when you create it, we recommend using [consent events](https://developers.didomi.io/api/consents/events) instead for registering the user consent status as you will benefit from automated consent history and updates. Otherwise it would not be possible.
{% endhint %}

You can create a user by calling the [`POST /consents/users`](https://didomi.stoplight.io/docs/didomi-api/4d80412676f5c-create-a-new-user) endpoint and providing basic information on the user as well as custom metadata that you want to associate with the user.

You can provide following information on users:

* Organization user ID: a free-form user ID that is specific to your organization and that is used to identify the user within your organization. This could be an email address, a CRM ID, etc. It can be used to query users and events.
* Metadata: a free-form object with any custom metadata that you want to associate with the user
* Consents: the consent status of the user for purposes, preferences, channels and vendors for GDPR regulation

**Example**

```javascript
POST /consents/users?organization_id={organization_id}

BODY
{
  "organization_user_id": "user@domain.com",
  
  "metadata": {
    ... free-form object with user metadata
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/api-and-platform/consents/users/create-user.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
